curl --request GET \
--url https://api.example.com/api/v1/coupons \
--header 'Authorization: Bearer <token>'{
"data": [
{
"code": "<string>",
"description": "<string>",
"disabled": true,
"discount": {
"percentage": "<string>"
},
"id": "<string>",
"reusable": true,
"expires_at": "2023-11-07T05:31:56Z",
"recurring_value": 123,
"redemption_limit": 123
}
],
"pagination_meta": {
"page": 1,
"per_page": 1,
"total_items": 1,
"total_pages": 1
}
}curl --request GET \
--url https://api.example.com/api/v1/coupons \
--header 'Authorization: Bearer <token>'{
"data": [
{
"code": "<string>",
"description": "<string>",
"disabled": true,
"discount": {
"percentage": "<string>"
},
"id": "<string>",
"reusable": true,
"expires_at": "2023-11-07T05:31:56Z",
"recurring_value": 123,
"redemption_limit": 123
}
],
"pagination_meta": {
"page": 1,
"per_page": 1,
"total_items": 1,
"total_pages": 1
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ALL, ACTIVE, INACTIVE, ARCHIVED Page number (0-indexed)
x >= 0Number of items per page
1 <= x <= 100